Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVFence

    java.lang.Object
      org.lwjgl.opengl.NVFence

    public final class NVFence

extends java.lang.Object

Field Summary
`static int` | `GL_ALL_COMPLETED_NV`
`static int` | `GL_FENCE_CONDITION_NV`
`static int` | `GL_FENCE_STATUS_NV`

Method Summary
`static void` | `glDeleteFencesNV(java.nio.IntBuffer piFences)`
`static void` | `glFinishFenceNV(int fence)`
`static void` | `glGenFencesNV(java.nio.IntBuffer piFences)`
`static void` | `glGetFenceivNV(int fence, int pname, java.nio.IntBuffer piParams)`
`static boolean` | `glIsFenceNV(int fence)`
`static void` | `glSetFenceNV(int fence, int condition)`
`static boolean` | `glTestFenceNV(int fence)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_ALL_COMPLETED_NV

    public static final int GL_ALL_COMPLETED_NV

See Also:
  Constant Field Values

### GL_FENCE_STATUS_NV

    public static final int GL_FENCE_STATUS_NV

See Also:
  Constant Field Values

### GL_FENCE_CONDITION_NV

    public static final int GL_FENCE_CONDITION_NV

See Also:
  Constant Field Values

Method Detail

### glGenFencesNV

    public static void glGenFencesNV(java.nio.IntBuffer piFences)

### glDeleteFencesNV

    public static void glDeleteFencesNV(java.nio.IntBuffer piFences)

### glSetFenceNV

    public static void glSetFenceNV(int fence,
                                    int condition)

### glTestFenceNV

    public static boolean glTestFenceNV(int fence)

### glFinishFenceNV

    public static void glFinishFenceNV(int fence)

### glIsFenceNV

    public static boolean glIsFenceNV(int fence)

### glGetFenceivNV

    public static void glGetFenceivNV(int fence,
                                      int pname,
                                      java.nio.IntBuffer piParams)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.